count=1
tpid=TICO_DF_Test
dt=`date '+%d.%m.%Y_%T'`

fout=/tmp/print_output.$dt


echo " " > $fout
echo "  *******************************************************  DATA   ********************************************** "  >> $fout
echo "  Run RefCycle    Duration Map  Pressure   Pressure Units    Pressure Min     Temp name    Temp units    Temp max "  >> $fout


while IFS=" " read map run; do

 
 
   file=/esvd_data/TICO_DF_Test/$map/1/emtv_rpt.$run
   emsum=/esvd_data/TICO_DF_Test/$map/1/emsum_rpt.$run


   refcycle=$(grep -w "Ref File Name:" $file |awk '{print $4}')
   dur=$(grep -w "Duration of Cycle:" $emsum |awk '{print $16}')
   Ptag=$(grep -w DRYER_P_CO_MEA $file | awk '{print $1}')
   Punits=$(grep -w DRYER_P_CO_MEA $file | awk '{print $2}')
   Pmin=$(grep -w DRYER_P_CO_MEA $file | awk '{print $5}') 




   Ttag=$(grep -w DRYER_T_CO_MEA $file | awk '{print $1}')
   Tunits=$(grep -w DRYER_T_CO_MEA $file | awk '{print $2}')
   Tmax=$(grep -w DRYER_T_CO_MEA $file | awk '{print $6}')

 
 
 echo "  ${run::5} ${refcycle::10} ${dur::4} ${map::15} ${Ptag::15} ${Punits::5} ${Pmin::8} ${Ttag::15} ${Tunits::5} ${Tmax::8} "  >> $fout






done < /specs/cmds/glm_file_input

echo >> $fout
echo >> $fout

