tpid=$1
map=$2
run=$3

emrptfile="/esvd_data/$tpid/EM_OVERVIEW.$tpid"

if [ ! -f "$emrptfile" ]; then
	echo "TestNo,Cycle,Map,Regr,Work,CBE,BSNOxCorr,BSHC,BSCO,BSCO2,BSFCME,FuelCons">$emrptfile
fi

 
   #First we have to read previous report files to get some data
   file=/esvd_data/TICO_DF_Test/$map/1/emora.$run


   	refcycle=$(grep -w REF_FILE $file | cut -d "," -f2)
   	dur=$(grep -w CYCLE_DURATION $file  | cut -d "," -f2)
   	regr=$(grep -w CYCLE_REGRESS $file | cut -d "," -f2)
   	WORK=$(grep -w SUT_CYCLE_WORK $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	CBECM=$(grep -w CBECM $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSHC=$(grep -w BSHC $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSCH4=$(grep -w BSCH4 $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSNMHC=$(grep -w BSNMHC $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSNOXCORR=$(grep -w BSNOXCORR $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSNO=$(grep -w BSNO $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSCO=$(grep -w BSCO $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSCO2=$(grep -w BSCO2 $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	BSFCME=$(grep -w BSFCME $file | cut -d "," -f2 | sed 's/NULL/-999999/')
	FUELME=$(grep -w FUELME $file | cut -d "," -f2 | sed 's/NULL/-999999/')

	 #.rounding
	work=$(printf "%.2f" "$WORK")
	cbecm=$(printf "%.3f" "$CBECM")
	bshc=$(printf "%.4f" "$BSHC")
	bsch4=$(printf "%.4f" "$BSCH4")
	bsnmhc=$(printf "%.4f" "$BSNMHC")
	bsnoxcorr=$(printf "%.4f" "$BSNOXCORR")
	bsno=$(printf "%.4f" "$BSNO")
	bsco=$(printf "%.4f" "$BSCO")
	bsco2=$(printf "%.2f" "$BSCO2")
	bsfcme=$(printf "%.4f" "$BSFCME")
 	fuelme=$(printf "%.4f" "$FUELME")

 
	printf "\n$run,$refcycle,$map,$regr,$work,$cbecm,$bsnoxcorr,$bshc,$bsco,$bsco2,$bsfcme,$fuelme " >> $emrptfile


  destdir='/mnt/TcNfs/NationalRoad/NRTC3/Data/TICO_DF_TEST_EMIS_REPORTS'
  cp /esvd_data/$tpid/$map/1/*rpt.$run $destdir/.
  cp /esvd_data/$tpid/EM_OVERVIEW.$tpid $destdir/.
    



